Skip to main content

Create allowance

POST https://wallet.paysera.com/rest/v1/allowance

Create allowance for charging wallet without user interaction.

Note: Allowances with status new are deleted automatically 1 month after creation.

Only one allowance can be active for a wallet at a time.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Request Body​

FieldTypeRequiredDescription
descriptionstringAllowance description
currencystringCurrency code
max_priceintegerMaximum total amount in cents
max_price_decimalstringMaximum total decimal amount
validobjectValidity settings
limitsarrayAllowance limits

Example​

Request​

POST https://wallet.paysera.com/rest/v1/allowance
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"description": "Monthly subscription",
"currency": "EUR",
"max_price": 5000,
"valid": {
"for": 2592000
}
}

Response​

{
"id": 5478,
"transaction_key": "aB3dEf8H",
"created_at": 1355314332,
"status": "new",
"currency": "EUR",
"wallet": null,
"description": "Monthly subscription",
"max_price": 5000,
"max_price_decimal": "50.00",
"valid": {
"for": 2592000
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"description": "Monthly subscription",
"currency": "EUR",
"max_price": 5000,
"valid": {
"for": 2592000
}
}

RESPONSE

Allowance created successfully
{
"id": 5478,
"transaction_key": "aB3dEf8H",
"created_at": 1355314332,
"status": "new",
"currency": "EUR",
"wallet": null,
"description": "Monthly subscription",
"max_price": 5000,
"max_price_decimal": "50.00",
"valid": {
"for": 2592000
}
}